# Auto generated configuration file
# using: 
# Revision: 1.19 
# Source: /local/reps/CMSSW/CMSSW/Configuration/Applications/python/ConfigBuilder.py,v 
# with command line options: Configuration/GenProduction/python/HIG-RunIISummer15GS-00248-fragment.py --filein dbs:/GluGluHToGG_M-120_13TeV_powheg_pythia8/RunIIWinter15wmLHE-MCRUN2_71_V1-v1/LHE --fileout file:HIG-RunIISummer15GS-00248.root --mc --eventcontent RAWSIM --customise SLHCUpgradeSimulations/Configuration/postLS1Customs.customisePostLS1,Configuration/DataProcessing/Utils.addMonitoring --datatier GEN-SIM --conditions MCRUN2_71_V1::All --beamspot Realistic50ns13TeVCollision --step GEN,SIM --magField 38T_PostLS1 --python_filename /afs/cern.ch/cms/PPD/PdmV/work/McM/submit/HIG-RunIISummer15GS-00248/HIG-RunIISummer15GS-00248_1_cfg.py --no_exec -n 43
import FWCore.ParameterSet.Config as cms

process = cms.Process('SIM')

# import of standard configurations
process.load('Configuration.StandardSequences.Services_cff')
process.load('SimGeneral.HepPDTESSource.pythiapdt_cfi')
process.load('FWCore.MessageService.MessageLogger_cfi')
process.load('Configuration.EventContent.EventContent_cff')
process.load('SimGeneral.MixingModule.mixNoPU_cfi')
process.load('Configuration.StandardSequences.GeometryRecoDB_cff')
process.load('Configuration.Geometry.GeometrySimDB_cff')
process.load('Configuration.StandardSequences.MagneticField_38T_PostLS1_cff')
process.load('Configuration.StandardSequences.Generator_cff')
process.load('IOMC.EventVertexGenerators.VtxSmearedRealistic50ns13TeVCollision_cfi')
process.load('GeneratorInterface.Core.genFilterSummary_cff')
process.load('Configuration.StandardSequences.SimIdeal_cff')
process.load('Configuration.StandardSequences.EndOfProcess_cff')
process.load('Configuration.StandardSequences.FrontierConditions_GlobalTag_cff')

process.maxEvents = cms.untracked.PSet(
    input = cms.untracked.int32(43)
)

# Input source
process.source = cms.Source("PoolSource",
    secondaryFileNames = cms.untracked.vstring(),
    fileNames = cms.untracked.vstring('/store/mc/RunIIWinter15wmLHE/GluGluHToGG_M-120_13TeV_powheg_pythia8/LHE/MCRUN2_71_V1-v1/50000/1007158F-9225-E511-93A4-00145EFC5EF4.root', 
        '/store/mc/RunIIWinter15wmLHE/GluGluHToGG_M-120_13TeV_powheg_pythia8/LHE/MCRUN2_71_V1-v1/50000/1C7FF763-AC25-E511-8AAB-0025904C7A58.root', 
        '/store/mc/RunIIWinter15wmLHE/GluGluHToGG_M-120_13TeV_powheg_pythia8/LHE/MCRUN2_71_V1-v1/50000/44CCD126-B825-E511-8E3B-68B599BAEE90.root', 
        '/store/mc/RunIIWinter15wmLHE/GluGluHToGG_M-120_13TeV_powheg_pythia8/LHE/MCRUN2_71_V1-v1/50000/50A9EF31-BA25-E511-933F-34E6D7E05F28.root', 
        '/store/mc/RunIIWinter15wmLHE/GluGluHToGG_M-120_13TeV_powheg_pythia8/LHE/MCRUN2_71_V1-v1/50000/5C7263A2-9225-E511-8872-00145EDD7881.root', 
        '/store/mc/RunIIWinter15wmLHE/GluGluHToGG_M-120_13TeV_powheg_pythia8/LHE/MCRUN2_71_V1-v1/50000/68041348-4827-E511-AF79-20CF307C98DC.root', 
        '/store/mc/RunIIWinter15wmLHE/GluGluHToGG_M-120_13TeV_powheg_pythia8/LHE/MCRUN2_71_V1-v1/50000/8CFADA1F-5425-E511-8F44-A0040420FE80.root', 
        '/store/mc/RunIIWinter15wmLHE/GluGluHToGG_M-120_13TeV_powheg_pythia8/LHE/MCRUN2_71_V1-v1/50000/A275FF1E-5425-E511-8E12-A0040420FE80.root', 
        '/store/mc/RunIIWinter15wmLHE/GluGluHToGG_M-120_13TeV_powheg_pythia8/LHE/MCRUN2_71_V1-v1/50000/A4AFFA4B-4827-E511-BC46-20CF3027A5BF.root', 
        '/store/mc/RunIIWinter15wmLHE/GluGluHToGG_M-120_13TeV_powheg_pythia8/LHE/MCRUN2_71_V1-v1/50000/C4EF99B8-4626-E511-B518-0025901D4AF0.root'),
    inputCommands = cms.untracked.vstring('keep *', 
        'drop LHEXMLStringProduct_*_*_*'),
    dropDescendantsOfDroppedBranches = cms.untracked.bool(False)
)

process.options = cms.untracked.PSet(

)

# Production Info
process.configurationMetadata = cms.untracked.PSet(
    version = cms.untracked.string('$Revision: 1.19 $'),
    annotation = cms.untracked.string('Configuration/GenProduction/python/HIG-RunIISummer15GS-00248-fragment.py nevts:43'),
    name = cms.untracked.string('Applications')
)

# Output definition

process.RAWSIMoutput = cms.OutputModule("PoolOutputModule",
    splitLevel = cms.untracked.int32(0),
    eventAutoFlushCompressedSize = cms.untracked.int32(5242880),
    outputCommands = process.RAWSIMEventContent.outputCommands,
    fileName = cms.untracked.string('file:HIG-RunIISummer15GS-00248.root'),
    dataset = cms.untracked.PSet(
        filterName = cms.untracked.string(''),
        dataTier = cms.untracked.string('GEN-SIM')
    ),
    SelectEvents = cms.untracked.PSet(
        SelectEvents = cms.vstring('generation_step')
    )
)

# Additional output definition

# Other statements
process.genstepfilter.triggerConditions=cms.vstring("generation_step")
from Configuration.AlCa.GlobalTag import GlobalTag
process.GlobalTag = GlobalTag(process.GlobalTag, 'MCRUN2_71_V1::All', '')

process.generator = cms.EDFilter("Pythia8HadronizerFilter",
    pythiaPylistVerbosity = cms.untracked.int32(1),
    filterEfficiency = cms.untracked.double(1.0),
    pythiaHepMCVerbosity = cms.untracked.bool(False),
    comEnergy = cms.double(13000.0),
    maxEventsToPrint = cms.untracked.int32(1),
    PythiaParameters = cms.PSet(
        pythia8CommonSettings = cms.vstring('Tune:preferLHAPDF = 2', 
            'Main:timesAllowErrors = 10000', 
            'Check:epTolErr = 0.01', 
            'Beams:setProductionScalesFromLHEF = off', 
            'SLHA:keepSM = on', 
            'SLHA:minMassSM = 1000.', 
            'ParticleDecays:limitTau0 = on', 
            'ParticleDecays:tau0Max = 10', 
            'ParticleDecays:allowPhotonRadiation = on'),
        pythia8CUEP8M1Settings = cms.vstring('Tune:pp 14', 
            'Tune:ee 7', 
            'MultipartonInteractions:pT0Ref=2.4024', 
            'MultipartonInteractions:ecmPow=0.25208', 
            'MultipartonInteractions:expPow=1.6'),
        pythia8PowhegEmissionVetoSettings = cms.vstring('POWHEG:veto = 1', 
            'POWHEG:pTdef = 1', 
            'POWHEG:emitted = 0', 
            'POWHEG:pTemt = 0', 
            'POWHEG:pThard = 0', 
            'POWHEG:vetoCount = 100', 
            'SpaceShower:pTmaxMatch = 2', 
            'TimeShower:pTmaxMatch = 2'),
        processParameters = cms.vstring('POWHEG:nFinal = 1', 
            '25:m0 = 120.0', 
            '25:onMode = off', 
            '25:onIfMatch = 22 22'),
        parameterSets = cms.vstring('pythia8CommonSettings', 
            'pythia8CUEP8M1Settings', 
            'pythia8PowhegEmissionVetoSettings', 
            'processParameters')
    )
)


process.ProductionFilterSequence = cms.Sequence(process.generator)

# Path and EndPath definitions
process.generation_step = cms.Path(process.pgen)
process.simulation_step = cms.Path(process.psim)
process.genfiltersummary_step = cms.EndPath(process.genFilterSummary)
process.endjob_step = cms.EndPath(process.endOfProcess)
process.RAWSIMoutput_step = cms.EndPath(process.RAWSIMoutput)

# Schedule definition
process.schedule = cms.Schedule(process.generation_step,process.genfiltersummary_step,process.simulation_step,process.endjob_step,process.RAWSIMoutput_step)
# filter all path with the production filter sequence
for path in process.paths:
	getattr(process,path)._seq = process.ProductionFilterSequence * getattr(process,path)._seq 

# customisation of the process.

# Automatic addition of the customisation function from Configuration.DataProcessing.Utils
from Configuration.DataProcessing.Utils import addMonitoring 

#call to customisation function addMonitoring imported from Configuration.DataProcessing.Utils
process = addMonitoring(process)

# Automatic addition of the customisation function from SLHCUpgradeSimulations.Configuration.postLS1Customs
from SLHCUpgradeSimulations.Configuration.postLS1Customs import customisePostLS1 

#call to customisation function customisePostLS1 imported from SLHCUpgradeSimulations.Configuration.postLS1Customs
process = customisePostLS1(process)

# End of customisation functions
